#include "SynEngine.hpp"

int main(int argc, char const *argv[])
{
    GameConfiguration config = GameConfiguration("Configurations");
    GameManager::SetConfig(config);
    GameWindow window("Long Starlight");
    Grid grid = Grid();
    
    grid.SetGrid();
    window.BindDrawable(&grid, &Drawable::Draw);

    grid.UpdateCell(0, 0, 2);
    grid.UpdateCell(0, 1, 2, 1);

    while (window.IsOpen())
        window.Update();
    
    std::cout << "/)(\\";
    return 0;
}
